Groovy Documentation

## groovy.lang
[Java] Class PropertyValue

    java.lang.Object
      groovy.lang.PropertyValue

    public class PropertyValue
    extends java.lang.Object

Constructor Summary
`PropertyValue(java.lang.Object bean, MetaProperty mp)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.Class` | `getType()`
`java.lang.Object` | `getValue()`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PropertyValue

    public PropertyValue(java.lang.Object bean, MetaProperty mp)

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.Class getType()

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

Groovy Documentation